{%MainUnit ../suggestedit.pas

*****************************************************************************
                            virtualsuggestedit.inc
                            ----------------------
                            SuggestEdit Component

                       Initial Revision  : 08.12.2015

*****************************************************************************
 This file is part of the SuggestEdit Component.
 Copyright (c) 2015 by Michael W. Vogel

 See the file COPYING.modifiedLGPL.txt, included in this distribution,
 for details about the license.
*****************************************************************************
}

procedure TVirtualSuggestEdit.SetSelectFirstItem(
  AValue: Boolean);
begin
  if FSelectFirstItem = AValue then Exit;
  FSelectFirstItem := AValue;
  if AValue then
    CompareOptions := CompareOptions - [coAnywhere];
end;

procedure TVirtualSuggestEdit.SetCompareOptions(
  AValue: TCompareOptions);
begin
  if FCompareOptions = AValue then Exit;
  FCompareOptions := AValue;
  if coAnywhere in AValue then
    SelectFirstItem := False;
end;

constructor TVirtualSuggestEdit.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FItems := TSuggestStrings.Create;
end;

destructor TVirtualSuggestEdit.Destroy;
begin
  FItems.Free;
  inherited Destroy;
end;

